Bug 257846 - security/luasec: update to 1.0.2
Summary: security/luasec: update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guangyuan Yang
URL: https://github.com/brunoos/luasec/blo...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-14 22:19 UTC by Thomas Morper
Modified: 2021-08-16 09:31 UTC (History)
1 user (show)

See Also:
ygy: merge-quarterly+


Attachments
update luasec to 1.0.2 (921 bytes, patch)
2021-08-14 22:19 UTC, Thomas Morper
thomas: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Morper 2021-08-14 22:19:34 UTC
Created attachment 227197 [details]
update luasec to 1.0.2

security/luasec: update to 1.0.2

* update to 1.0.2

ChangeLog:

  https://github.com/brunoos/luasec/blob/v1.0.2/CHANGELOG

QA:

  * portlint: OK (looks fine)
  * testport: OK (poudriere: 11.4 i386/amd64, 12.2 i386/amd64,
    13.0 amd64/arm64, Lua 5.1 - 5.4)
Comment 1 Guangyuan Yang freebsd_committer 2021-08-15 06:24:49 UTC
Looks like a bugfix release. Can you confirm that MFH is needed?
Comment 2 Thomas Morper 2021-08-15 22:19:01 UTC
This is a bugfix-only release with no functional changes. One of the fixes covers the the "off by one second" error recently published by Let's Encrypt, so technically speaking we have a security fix. If this is sufficient for an MFH, please go ahead.
Comment 3 commit-hook freebsd_committer 2021-08-16 09:16:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ea503387b0d6c0e08d7c5ab9bb8262c026a1d4ef

commit ea503387b0d6c0e08d7c5ab9bb8262c026a1d4ef
Author:     Thomas Morper <thomas@beingboiled.info>
AuthorDate: 2021-08-16 09:10:11 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-16 09:10:11 +0000

    security/luasec: Update to 1.0.2

    Changelog:      https://github.com/brunoos/luasec/blob/v1.0.2/CHANGELOG

    PR:             257846
    MFH:            2021Q3 (bugfix release)

 security/luasec/Makefile | 2 +-
 security/luasec/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-08-16 09:29:05 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=77dfbe8f2fc21792908fcf9278cc1da674b381e1

commit 77dfbe8f2fc21792908fcf9278cc1da674b381e1
Author:     Thomas Morper <thomas@beingboiled.info>
AuthorDate: 2021-08-16 09:10:11 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-16 09:28:02 +0000

    security/luasec: Update to 1.0.2

    Changelog:      https://github.com/brunoos/luasec/blob/v1.0.2/CHANGELOG

    PR:             257846

    (cherry picked from commit ea503387b0d6c0e08d7c5ab9bb8262c026a1d4ef)

 security/luasec/Makefile | 2 +-
 security/luasec/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Guangyuan Yang freebsd_committer 2021-08-16 09:31:09 UTC
Committed, thanks!